// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#define TestTrace_Classes_Package_A1_Package_C1_C1_Listening_BODY

/************************************************************
 C1_Listening class body
 ************************************************************/

// include associated header file
#include "TestTrace/Classes/Package_A1/Package_C1/C1_Listening.h"

// Derived includes directives
#include "TestTrace/Interfaces/I_MyInterface_1.h"

// Derived using namespaces
using namespace TestTrace::Interfaces;
namespace TestTrace {
namespace Classes {
namespace Package_A1 {
namespace Package_C1 {

// static attributes (if any)

/**
 * 
 * @param state 
 */
void C1_Listening::MyOperation_1(BooleanType /*in*/state) {
}

} // of namespace Package_C1
} // of namespace Package_A1
} // of namespace Classes
} // of namespace TestTrace

/************************************************************
 End of C1_Listening class body
 ************************************************************/
